#
# spec file for package rubygem-psych
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-psych
Version:        3.1.0
Release:        1.10
%define mod_name psych
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/ruby/psych
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-psych-rpmlintrc
Source2:        gem2rpm.yml
Summary:        Psych is a YAML parser and emitter
License:        MIT
Group:          Development/Languages/Ruby

%description
Psych is a YAML parser and emitter. Psych leverages
libyaml[https://pyyaml.org/wiki/LibYAML]
for its YAML parsing and emitting capabilities. In addition to wrapping
libyaml,
Psych also knows how to serialize and de-serialize most Ruby objects to and
from the YAML format.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.rdoc README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Wed Dec 19 2018 coolo@suse.com
- updated to version 3.1.0
  see installed CHANGELOG.rdoc
  Thu Nov  8 12:00:00 2018  Juanito Fatas <me@juanitofatas.com>
  * lib/psych.rb: Use friendlier terminology in YAML.safe_load.
    Replace keyword argumment whitelist_classes and whitelist_symbols.
    with permitted_classes and permitted_symbols.
  * test/psych/test_safer_load.rb: Update tests accordingly.
* Thu Nov 22 2018 coolo@suse.com
- updated to version 3.0.3
  see installed CHANGELOG.rdoc
* Tue Jan  9 2018 coolo@suse.com
- updated to version 3.0.2
  see installed CHANGELOG.rdoc
* Thu Dec 14 2017 coolo@suse.com
- updated to version 3.0.1
  see installed CHANGELOG.rdoc
* Sun Dec  3 2017 coolo@suse.com
- updated to version 3.0.0
  see installed CHANGELOG.rdoc
* Thu Mar 16 2017 coolo@suse.com
- updated to version 2.2.4
  see installed CHANGELOG.rdoc
* Fri Feb 24 2017 coolo@suse.com
- updated to version 2.2.3
  see installed CHANGELOG.rdoc
* Wed Dec 21 2016 coolo@suse.com
- updated to version 2.2.2
  see installed CHANGELOG.rdoc
* Fri Dec  9 2016 coolo@suse.com
- updated to version 2.2.1
  see installed CHANGELOG.rdoc
* Mon Nov 14 2016 coolo@suse.com
- updated to version 2.2.0
  see installed CHANGELOG.rdoc
* Wed Sep  7 2016 coolo@suse.com
- updated to version 2.1.1
  see installed CHANGELOG.rdoc
* Sat Jun 25 2016 coolo@suse.com
- updated to version 2.1.0
  see installed CHANGELOG.rdoc
* Thu Jan 21 2016 coolo@suse.com
- updated to version 2.0.17
  see installed CHANGELOG.rdoc
* Tue Dec  8 2015 coolo@suse.com
- updated to version 2.0.16
  see installed CHANGELOG.rdoc
* Sat Aug 22 2015 coolo@suse.com
- updated to version 2.0.15
  see installed CHANGELOG.rdoc
* Wed Feb 18 2015 coolo@suse.com
- updated to version 2.0.13
* Mon Feb  9 2015 coolo@suse.com
- updated to version 2.0.12
  * ext/psych/lib/psych/visitors/to_ruby.rb: fix parsing hashes with
    instance variables when it is referenced multiple times.
  * ext/psych/lib/psych.rb: bump version
  * ext/psych/psych.gemspec: bump version
  * test/psych/test_hash.rb: test for fix
  Fri Jan  9 07:13:55 2015  Aaron Patterson <aaron@tenderlovemaking.com>
  * ext/psych/lib/psych/visitors/to_ruby.rb: call `allocate` on hash
    subclasses.  Fixes github.com/tenderlove/psych/issues/196
  * test/psych/test_hash.rb: test for change
  Fri Jan  9 06:58:43 2015  Aaron Patterson <aaron@tenderlovemaking.com>
  * ext/psych/lib/psych/visitors/to_ruby.rb: revive hashes with ivars
  * ext/psych/lib/psych/visitors/yaml_tree.rb: dump hashes with ivars.
    Fixes github.com/psych/issues/43
  * test/psych/test_hash.rb: test for change
  Sun Nov 23 13:11:24 2014  Sean Griffin  <sean@thoughtbot.com>
  * lib/psych/visitors/to_ruby.rb: Allow loading any BasicObject that
    defines #marshal_load, fixes #100
  * lib/psych/visitors/yaml_tree.rb: Allow dumping any BasicObject that
    defines #marshal_dump
* Mon Sep 29 2014 mrueckert@suse.de
- update to version 2.0.6
  * ext/psych/lib/psych/visitors/yaml_tree.rb: fix NameError
    dumping and loading. Fixes GH #85. Thanks @brentdax for the
    patch!  fixes #85
  * ext/psych/lib/psych/scalar_scanner.rb: fix loading strings that
    look like integers but have a newline. Fixes GH #189
  * ext/psych/lib/psych/visitors/to_ruby.rb: merge keys with a hash
    should merge the hash in to the parent. Fixes GH #202
  * ext/psych/lib/psych/visitors/to_ruby.rb: quoted "<<" strings
    should not be treated as merge keys.
  * ext/psych/lib/psych/visitors/yaml_tree.rb: hashes with keys
    containing "<<" should roundtrip. Fixes GH #203
  * Retain reference to target in Registrar so a GC run can't
    confuse ongoing serialization.
  * ext/psych/lib/psych/visitors/to_ruby.rb: backwards
    compatibility for hashes emitted by Syck. Github #198
  * ext/psych/lib/psych/visitors/yaml_tree.rb: dump empty symbols
    with a tag so that they can be parsed on input. [Bug #9873]
    [ruby-core:62825]
  * Revert "YAML::ENGINE was removed in [Bug #8344]"
- update to new packaging scheme and add gem2rpm.yml
- added rpmlintrc to surpress devel-file-in-non-devel warnings.
* Sun Apr  6 2014 coolo@suse.com
- updated to version 2.0.5
  * ext/psych/yaml/scanner.c: merge libyaml 0.1.6
  * ext/psych/yaml/yaml_private.h: ditto
  * ext/psych/lib/psych/visitors/yaml_tree.rb: support dumping Encoding
    objects.
  * ext/psych/lib/psych/visitors/to_ruby.rb: support loading Encoding
    objects.
  * test/psych/test_encoding.rb: add test
  * ext/psych/lib/psych.rb: add version
* Thu Feb  6 2014 coolo@suse.com
- updated to version 2.0.4
  * ext/psych/yaml/config.h: bump libyaml to 0.1.5
  * ext/psych/lib/psych/visitors/yaml_tree.rb: dumping strings with
    quotes should not have changed.  [ruby-core:59316] [Bug #9300]
  * ext/psych/lib/psych.rb: fixed missing require.
  * test/psych/test_string.rb: test
* Wed Nov 27 2013 coolo@suse.com
- initial package (version 2.0.2)
